package p.studio.compiler.models;

import p.studio.compiler.messages.BuildingIssue;

import java.nio.file.Path;
import java.util.List;

public record BuildResult(
        CompileResult compileResult,
        List<BuildingIssue> diagnostics,
        Path bytecodeArtifactPath) {
    public BuildResult {
        diagnostics = List.copyOf(diagnostics);
    }
}
